<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.44
Name: [2] Dane umowy związanej z refundacją
Description: Wzorzec rozszerzenia CDA dla potwierdzenia ubezpieczenia w
            NFZ.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000">
   <title>[2] Dane umowy związanej z refundacją</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]"
         id="tmp-r-92f36f8e-a406-4515-869c-b8a4d7a5586e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:boundedBy)&lt;=1">(plExtReimbursementRelatedContract): element extPL:boundedBy występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy"
         id="tmp-r-3fda9a7d-b85a-4491-bbc9-031631275715">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@typeCode)='PART'">(plExtReimbursementRelatedContract): Wartość dla @typeCode MUSI wynosić 'PART'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44']/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'])&lt;=1">(plExtReimbursementRelatedContract): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimbursementRelatedContract)&gt;=1 and not(extPL:reimbursementRelatedContract/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:reimbursementRelatedContract jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimbursementRelatedContract)&lt;=1">(plExtReimbursementRelatedContract): element extPL:reimbursementRelatedContract występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44']
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44']"
         id="tmp-r-4485c7b0-f9c9-41f2-b9b7-35884a981b2a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtReimbursementRelatedContract): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.44'">(plExtReimbursementRelatedContract): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.44'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtReimbursementRelatedContract): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract"
         id="tmp-r-86bce1d9-009f-4e9a-916b-a44762fe53bd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@classCode)='CNTRCT'">(plExtReimbursementRelatedContract): Wartość dla @classCode MUSI wynosić 'CNTRCT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@moodCode)='EVN'">(plExtReimbursementRelatedContract): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="elmcount"
           value="count(extPL:id[@nullFlavor='NA']|extPL:id[not(@nullFlavor)])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="$elmcount&gt;=1">(plExtReimbursementRelatedContract): wybór (extPL:id[@nullFlavor='NA'] lub extPL:id[not(@nullFlavor)]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="$elmcount&lt;=1">(plExtReimbursementRelatedContract): wybór (extPL:id[@nullFlavor='NA'] lub extPL:id[not(@nullFlavor)]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id[@nullFlavor='NA'])&lt;=1">(plExtReimbursementRelatedContract): element extPL:id[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id[not(@nullFlavor)])&lt;=1">(plExtReimbursementRelatedContract): element extPL:id[not(@nullFlavor)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:code)&lt;=1">(plExtReimbursementRelatedContract): element extPL:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:bounding)&gt;=1 and not(extPL:bounding/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:bounding jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:bounding)&lt;=1">(plExtReimbursementRelatedContract): element extPL:bounding występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[@nullFlavor='NA']
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[@nullFlavor='NA']"
         id="tmp-r-cf3cf8d8-9e75-4474-a76b-39c0356459a9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@nullFlavor)='NA'">(plExtReimbursementRelatedContract): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plExtReimbursementRelatedContract): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[not(@nullFlavor)]
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[not(@nullFlavor)]"
         id="tmp-r-722cfa43-b802-47c6-b747-b69a6bd7de5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@root">(plExtReimbursementRelatedContract): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtReimbursementRelatedContract): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@extension">(plExtReimbursementRelatedContract): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtReimbursementRelatedContract): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:code
Item: (plExtReimbursementRelatedContract)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding"
         id="tmp-r-28891450-f36f-4869-ae27-a8f00e5c6902">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@typeCode)='PART'">(plExtReimbursementRelatedContract): Wartość dla @typeCode MUSI wynosić 'PART'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimburser)&gt;=1 and not(extPL:reimburser/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:reimburser jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimburser)&lt;=1">(plExtReimbursementRelatedContract): element extPL:reimburser występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser"
         id="tmp-r-c64f7679-9f6a-47f5-a0cc-9f3bbe3c51f6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@classCode)='UNDWRT'">(plExtReimbursementRelatedContract): Wartość dla @classCode MUSI wynosić 'UNDWRT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id)&gt;=1 and not(extPL:id/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id)&lt;=1">(plExtReimbursementRelatedContract): element extPL:id występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser/extPL:id
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser/extPL:id"
         id="tmp-r-d201dfb3-28b1-4cab-9106-fe172a8d54e8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtReimbursementRelatedContract): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@root">(plExtReimbursementRelatedContract): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtReimbursementRelatedContract): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@extension">(plExtReimbursementRelatedContract): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtReimbursementRelatedContract): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
</pattern>
